
# 车租易APP开发手册

* [GitBook使用](/gitbook.md)

---

* ### I. 开发环境准备

  * [1.1.git的使用](/git-guide.md)
  * [1.2.Maven的使用](/maven.md)
  * [1.3.中台开发环境的搭建](/create-project.md)  
  * [1.4.node的安装及配置](/APP环境搭建/node.md)
  * [1.5.android-studio的安装](/APP环境搭建/android-studio.md)
 **  注：**前期开发可不必安装
  * [1.6.前端开发环境的搭建](/APP环境搭建/ionic-project.md)


* ### II. 项目开发规范

  * [2.1 后端开发规范](/codeStyle.md)
  * [2.2 前端开发规范](/ionic/ionic-code-style.md)
  * [2.3 项目中git操作规范](/ionic/git-code.md)

* ### III. 后端开发

  * [3.1 后端开发说明\(1.0\)](/hmap.md)
  * [3.2 SVC及接口开发规范\(1.0\)](/ionic/svc.md)

* ### IV. 前端页面开发及通用方法

  * [4.1 前端开发说明](/ionic/ionic-instruction.md)
  * [4.2 接口访问方法](/angular/hlsHttp.md)
  * [4.3 弹框提醒方法](/angular/hlsPopup.md)











* ### V. 前端框架配置讲解\(目录\)

  * [5.1  app目录](/ionic/app.md)
  * [5.2  hooks](/ionic/hooks.md)
  * [5.3  node\_modules](/ionic/node-modules.md)
  * [5.4  platforms](/ionic/platforms.md)
  * [5.5  plugins](/ionic/plugins.md)
  * [5.6  publish](/ionic/publish.md)
  * [5.7  resources](ionic/resources.md)
  * [5.8  gulpfile.js](ionic/gulpfile.md)

* ### VI. APP打包及发布

  * [6.1 修改配置文件](/ionic/profile.md)
  * [6.2 更换APP图标及启动页](/ionic/start.md)
  * [6.3 安卓打包](/ionic/android.md)
  * [6.4 IOS打包](/ionic/ios.md)



